# Nanolink SDK for Cocos2D 说明

## 目录结构
```
libs/
	Android/
		armeabi/
			libnanolink.so
		armeabi-v7a/
			libnanolink.so
		x86/
			libnanolink.so
	iOS/
		libnanolink.a
	OSX/
		libnanolink.a
	tvOS/
		libnanolink.a
	Windows/
		nanolink.dll
		pthreadVC2.dll

demos/
	c++/
		sdk/
			nanolink.h
			nanobuffers.h
			nanoclient.h
		test.cpp
		Makefile

	js/
		sdk/
			nanolink.h
			nanolink_js.h
			nanolink_js.cpp
			nanobuffers.js
			nanoclient.js
		app.js
		helloworld.js
		resource.js

	lua/
		sdk/
			nanolink.h
			nanolink_lua.h
			nanolink_lua.cpp
			nanobuffers.lua
			nanoclient.lua
		main.lua
		helloworld.lua
```

## 用法
根据项目类型 (C++, JS, Lua), 从对应 demos 目录下复制 sdk 目录的文件到项目中  

例如, demos/c++/sdk 中包含了 基础接口文件 (nanolink.h), 事件接口文件(nanoclient.h), 序列化工具(nanobuffers.h)  

事件接口对基础接口进行了再次封装, 使用更简单, 建议直接用事件接口  

